%define major 3
%define libname %mklibname tiff %{major}
%define develname %mklibname tiff -d
%define staticdevelname %mklibname tiff -d -s

%define subrel  6

Summary:	A library of functions for manipulating TIFF format image files
Name:		libtiff
Version:	3.9.5
Release:	%mkrel 1
License:	BSD-like
Group:		System/Libraries
URL:		http://www.remotesensing.org/libtiff/
Source0:	ftp://ftp.remotesensing.org/pub/libtiff/tiff-%{version}.tar.gz
Patch1:		tiff-3.9.1-no_contrib.diff
Patch10:	tiff-3.9.2-libjpeg7+.diff
Patch11:        tiff-3.9.1-CVE-2011-0191.diff
Patch12:	tiff-3.9.5-CVE-2012-1173.diff
Patch13:	tiff-3.9.6-CVE-2012-2088.diff
Patch14:	tiff-3.9.6-CVE-2012-2113.diff
Patch15:	tiff-4.0.2-CVE-2012-3401.diff
Patch16:	tiff-3.9.4-CVE-2012-4447.diff
BuildRequires:	jbig-devel
BuildRequires:	libjpeg-devel
BuildRequires:	mesaglut-devel
BuildRequires:	zlib-devel

%description
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package	progs
Summary:	Binaries needed to manipulate TIFF format image files
Group:		Graphics
Requires:	%{libname} = %{version}
Obsoletes:	libtiff3-progs
Provides:	libtiff3-progs = %{version}-%{release}

%description	progs
This package provides binaries needed to manipulate TIFF format image files.

%package -n	%{libname}
Summary:	A library of functions for manipulating TIFF format image files
Group:		System/Libraries
Obsoletes:	%{name}
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
The libtiff package contains a library of functions for manipulating TIFF
(Tagged Image File Format) image format files. TIFF is a widely used file
format for bitmapped images. TIFF files usually end in the .tif extension
and they are often quite large.

%package -n	%{develname}
Summary:	Development tools for programs which will use the libtiff library
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	tiff-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d}

%description -n	%{develname}
This package contains the header files and .so libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%package -n	%{staticdevelname}
Summary:	Static libraries for programs which will use the libtiff library
Group:		Development/C
Requires:	%{develname} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Provides:	tiff-static-devel = %{version}-%{release}
Obsoletes:	%{mklibname tiff 3 -d -s}

%description -n	%{staticdevelname}
This package contains the static libraries for developing
programs which will manipulate TIFF format image files using the libtiff
library.

%prep

%setup -q -n tiff-%{version}
%patch1 -p1
%patch10 -p0 -b .libjpeg7
%patch11 -p0 -b .CVE-2011-0191
%patch12 -p1 -b .CVE-2012-1173
%patch13 -p1 -b .CVE-2012-2088
%patch14 -p1 -b .CVE-2012-2113
%patch15 -p1 -b .CVE-2012-3401
%patch16 -p1 -b .CVE-2012-4447

# cleanup
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -rf $i; fi >&/dev/null
done

%build
export LDFLAGS="%{ldflags}"
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"

%configure2_5x

%make

%check
make check

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/{%{_bindir},%{_datadir}}

rm -rf installed_docs

%makeinstall LIBTIFF_DOCDIR=`pwd`/installed_docs

install -m0644 libtiff/tiffiop.h %{buildroot}%{_includedir}/
install -m0644 libtiff/tif_dir.h %{buildroot}%{_includedir}/

# multiarch policy
%multiarch_includes %{buildroot}%{_includedir}/tiffconf.h

%clean
rm -rf %{buildroot}

%files progs
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root,755)
%doc installed_docs/*
%{_includedir}/*.h*
%{multiarch_includedir}/tiffconf.h
%{_libdir}/*.la
%{_libdir}/*.so
%{_mandir}/man3/*

%files -n %{staticdevelname}
%defattr(-,root,root,-)
%doc COPYRIGHT README TODO VERSION
%{_libdir}/*.a




%changelog

* Tue Oct 23 2012 luigiwalser <luigiwalser> 3.9.5-1.6.mga1
+ Revision: 309478
- add patch from debian to fix CVE-2012-4447
- fix CVE-2012-3401 (from RedHat)
- add fedora patches to fix CVE-2012-2088 and CVE-2012-2113
- fix CVE-2012-1173 (from mdv)

  + dmorgan <dmorgan>
    - P11: Fix CVE-2011-0191

* Wed Apr 20 2011 pterjan <pterjan> 3.9.5-1.mga1
+ Revision: 88881
- Update to 3.9.5

* Tue Jan 11 2011 pterjan <pterjan> 3.9.4-3.mga1
+ Revision: 5548
- Drop obsolete scriptlets
- imported package libtiff

